* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --primary-font: "Poppins", sans-serif;
  --blue0: #3774a9;
  --blue1: #76a7d2;
  --blue2: #8cb5d9;
  --blue3: #b2cee6;
  --blue4: #d7e6f3;
  --blue5: #e7f0f8;
  --white: #f7f8f9;
  --black: #1f2a37;
  --gray0: #4d4d4d;
  --gray1: #878787;
  --gray2: #afafaf;
  --gray3: #e6e6e6;
  --gray4: #f3f5f6;
  --gray-stroke: rgba(195, 195, 195, 0.1);
  --light-blue-gray: #e6e9ec;
  --light-salmon: #e6b2b2;
  --salmon: #d98c8c;
  --bg: #e6e6e7;
  --fw400: 400;
  --fw500: 500;
  --fw600: 600;
  --fw700: 700;
  --fw800: 800;
  --border-radius: 0.5rem;
  --radius4: 0.25rem;
  --radius10: 0.625rem;
  --radius100: 6.25rem;
  --blue-inner-shadow: 0.25rem 0.25rem 0.25rem 0 rgba(255, 255, 255, 0.7) inset,
    -0.125rem -0.125rem 0.25rem 0 rgba(118, 167, 210, 0.54) inset,
    0.125rem 0.125rem 0.25rem 0 rgba(118, 167, 210, 0.85) inset;
  --gray-inner-shadow: 0.125rem 0.25rem 0.25rem 0 rgba(195, 195, 195, 0.43),
    -0.125rem -0.125rem 0.5rem 0 rgba(195, 195, 195, 0.5) inset,
    0.125rem 0.125rem 0.5rem 0 rgba(195, 195, 195, 0.2) inset;
  --box-shadow: 0 0.25rem 0.25rem 0 rgba(209, 209, 209, 0.25);
  --transition: 0.4s all ease;
  --letter-spacing: 0.0688rem;
  --line-height: 1.75rem;
}

body {
  background-color: var(--bg);
  width: 100%;
  max-width: 100vw;
  font-size: 16px;
  color: var(--gray1);
}

/* === 📌 how-it-works === */

.section__how {
  display: flex;
  flex-direction: column;
  width: 90%;
  max-width: 75rem;
  margin: 6.25rem auto;
  gap: 1.5rem;
align-items: flex-start;
justify-content: center;
padding: 40px 24px;
}

.how-h1{
  font-size: 32px;
  color: var(--gray0);
}

.how-subheader{
  font-size: 20px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 8px;
  font-weight: var(--fw500);
  color: var(--black);
  width: 100%;
  flex-wrap: wrap;
}

.file-icon{
  width: 24px;
  height: 24px;
}

.how-img{
  width: 80%;
  height: 240px;
  border-radius: var(--border-radius);
  background-image: url('../assets/figma.webp');
  background-repeat: no-repeat;
  background-size: cover;
}

#img-variables{
    background-image: url('../assets/variables.webp');
  background-repeat: no-repeat;
  background-size: cover;
}

#img-html{
      background-image: url('../assets/html.webp');
  background-repeat: no-repeat;
  background-size: cover;
}


#img-root{
         background-image: url('../assets/css.webp');
  background-repeat: no-repeat;
  background-size: cover;
}

#img-example{
           background-image: url('../assets/testimonials-preview.webp');
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  box-shadow: var(--box-shadow);
}

#img-testimonials-html{
           background-image: url('../assets/testimonials.webp');
  background-repeat: no-repeat;
  background-size: cover;
}

#img-testimonials-css{
           background-image: url('../assets/testimonials-css.webp');
  background-repeat: no-repeat;
  background-size: cover;
}

ol{
  margin-left: 0;
  padding-left: 24px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 16px;
  margin-bottom: 32px;
  width: 100%;
}

ol li{
  color: var(--gray0);
}

.how-file-icons{
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2px;
}

.img-text{
  display: flex;
  align-items: flex-start;
  justify-content:flex-start;
  gap: 24px;
  width: 100%;
}
.structure-img{
  width: 10%;
  height:200px;
  border-radius: var(--border-radius);
  background-image: url('../assets/structure.webp');
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

.structure-list-wrapper{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 16px;
  width: 100%;
}
.structure-item{
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
}
.item-span{
  background: var(--blue4);
  color: var(--blue0);
  border-radius: var(--radius4);
  padding: 2px 6px;

}

.span-salmon{
  color: var(--salmon);
  font-weight: var(--fw600);
}

.how-hr{
  border:none;
  height: 0.5px;
  background-color: var(--gray2);
  opacity: .6;
  width: 100%;

}


/* === 📌 responsive === */

@media (max-width: 800px){
  .section__how{
    width: 100%;
  }
}

@media (max-width: 600px){
  .section__how{
    margin-top: 40px;
  }
  .structure-item{
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 2px;
  }
}